### Function

# GLib Variant new_objv

since: 2.30

#### Declaration

    GVariant*
    g_variant_new_objv (
      const gchar* const* strv,
      gssize length
    )

#### Description

Constructs an array of object paths `GVariant` from the given array of strings.

Each string must be a valid `GVariant` object path; see g_variant_is_object_path().

If `length` is -1 then `strv` is `NULL`-terminated.

Available since: 2.30

#### Parameters

`strv`

  Type: An array of `utf8`

  An array of strings.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  The length of `strv`, or -1

#### Return value

Type: `GVariant`

A new floating `GVariant` instance.

The data is owned by the called function.